Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractGrid Class Reference

`#include <vtkExtractGrid.h>`

Inheritance diagram for vtkExtractGrid:

[legend]
Collaboration diagram for vtkExtractGrid:

[legend]
List of all members.

## Detailed Description

select piece (e.g., volume of interest) and/or subsample structured grid dataset

Date:
  2002/01/22 15:29:19

Revision:
  1.31

vtkExtractGrid is a filter that selects a portion of an input structured grid dataset, or subsamples an input dataset. (The selected portion of interested is referred to as the Volume Of Interest, or VOI.) The output of this filter is a structured grid dataset. The filter treats input data of any topological dimension (i.e., point, line, image, or volume) and can generate output data of any topological dimension.

To use this filter set the VOI ivar which are i-j-k min/max indices that specify a rectangular region in the data. (Note that these are 0-offset.) You can also specify a sampling rate to subsample the data.

Typical applications of this filter are to extract a plane from a grid for contouring, subsampling large grids to reduce data size, or extracting regions of a grid with interesting data.

See also:
  vtkGeometryFilter vtkExtractGeometry vtkExtractVOI vtkStructuredGridGeometryFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (40%)
  - Law, Charles (33%)
  - Lorensen, Bill (8%)
  - Avila, Lisa (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkExtractGrid.cxx)`
  - .`h` (`/Graphics/vtkExtractGrid.h)`

Examples:
  vtkExtractGrid (Examples)

Tests:
  vtkExtractGrid (Tests)

Definition at line 67 of file vtkExtractGrid.h.

## Public Types
typedef vtkStructuredGridToStructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetVOI (int, int, int, int, int, int)
virtual void | SetVOI (int[6])
virtual int * | GetVOI ()
virtual void | GetVOI (int data[6])
virtual void | SetSampleRate (int, int, int)
virtual void | SetSampleRate (int[3])
virtual int * | GetSampleRate ()
virtual void | GetSampleRate (int data[3])
virtual void | SetIncludeBoundary (int)
virtual int | GetIncludeBoundary ()
virtual void | IncludeBoundaryOn ()
virtual void | IncludeBoundaryOff ()
## Static Public Methods
vtkExtractGrid * | New ()
int | IsTypeOf (const char *type)
vtkExtractGrid * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkExtractGrid ()
| ~vtkExtractGrid ()
void | Execute ()
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *out)
## Protected Attributes
int | VOI [6]
int | SampleRate [3]
int | IncludeBoundary

## Member Typedef Documentation

typedef vtkStructuredGridToStructuredGridFilter vtkExtractGrid::Superclass

| Reimplemented from vtkStructuredGridToStructuredGridFilter. Definition at line 71 of file vtkExtractGrid.h.

## Constructor & Destructor Documentation

vtkExtractGrid::vtkExtractGrid | ( |  | ) | `[protected]`

vtkExtractGrid::~vtkExtractGrid | ( |  | ) | `[inline, protected]`

| Definition at line 105 of file vtkExtractGrid.h.

## Member Function Documentation

vtkExtractGrid* vtkExtractGrid::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkExtractGrid::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridToStructuredGridFilter.

int vtkExtractGrid::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToStructuredGridFilter.

virtual int vtkExtractGrid::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToStructuredGridFilter.

vtkExtractGrid* vtkExtractGrid::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridToStructuredGridFilter.

void vtkExtractGrid::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredGridToStructuredGridFilter.

virtual void vtkExtractGrid::SetVOI | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured grid dataset can be of any topological dimension (i.e., point, line, plane, or 3D grid).

virtual void vtkExtractGrid::SetVOI | ( | int | [6] | ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured grid dataset can be of any topological dimension (i.e., point, line, plane, or 3D grid).

virtual int* vtkExtractGrid::GetVOI | ( |  | ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured grid dataset can be of any topological dimension (i.e., point, line, plane, or 3D grid).

virtual void vtkExtractGrid::GetVOI | ( | int | data[6] | ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured grid dataset can be of any topological dimension (i.e., point, line, plane, or 3D grid).

virtual void vtkExtractGrid::SetSampleRate | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual void vtkExtractGrid::SetSampleRate | ( | int | [3] | ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual int* vtkExtractGrid::GetSampleRate | ( |  | ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual void vtkExtractGrid::GetSampleRate | ( | int | data[3] | ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual void vtkExtractGrid::SetIncludeBoundary | ( | int |  | ) | `[virtual]`

| Control whether to enforce that the "boundary" of the grid is output in the subsampling process. (This ivar only has effect when the SampleRate in any direction is not equal to 1.) When this ivar IncludeBoundary is on, the subsampling will always include the boundary of the grid even though the sample rate is not an even multiple of the grid dimensions. (By default IncludeBoundary is off.)

virtual int vtkExtractGrid::GetIncludeBoundary | ( |  | ) | `[virtual]`

| Control whether to enforce that the "boundary" of the grid is output in the subsampling process. (This ivar only has effect when the SampleRate in any direction is not equal to 1.) When this ivar IncludeBoundary is on, the subsampling will always include the boundary of the grid even though the sample rate is not an even multiple of the grid dimensions. (By default IncludeBoundary is off.)

virtual void vtkExtractGrid::IncludeBoundaryOn | ( |  | ) | `[virtual]`

| Control whether to enforce that the "boundary" of the grid is output in the subsampling process. (This ivar only has effect when the SampleRate in any direction is not equal to 1.) When this ivar IncludeBoundary is on, the subsampling will always include the boundary of the grid even though the sample rate is not an even multiple of the grid dimensions. (By default IncludeBoundary is off.)

virtual void vtkExtractGrid::IncludeBoundaryOff | ( |  | ) | `[virtual]`

| Control whether to enforce that the "boundary" of the grid is output in the subsampling process. (This ivar only has effect when the SampleRate in any direction is not equal to 1.) When this ivar IncludeBoundary is on, the subsampling will always include the boundary of the grid even though the sample rate is not an even multiple of the grid dimensions. (By default IncludeBoundary is off.)

void vtkExtractGrid::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkExtractGrid::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkExtractGrid::ComputeInputUpdateExtents | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

## Member Data Documentation

int vtkExtractGrid::VOI[6]`[protected]`

| Definition at line 111 of file vtkExtractGrid.h.

int vtkExtractGrid::SampleRate[3]`[protected]`

| Definition at line 112 of file vtkExtractGrid.h.

int vtkExtractGrid::IncludeBoundary`[protected]`

| Definition at line 113 of file vtkExtractGrid.h.

The documentation for this class was generated from the following file:

- Graphics/vtkExtractGrid.h